Subject: Re: [PATCH] send-email: export patch counters in validate environment

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 Apr 2023 12:14:03 -0700

"Robin Jarry" <[email-masked]> writes:

> It is probably best to let git-send-email out of the picture. Since
> nothing prevents from sending multiple patch series at once, it may not
> be possible to determine the proper ordering of all these files. A dumb
> 1-based counter will be perfectly suitable.

As long as the design decision is clearly documented, I am more than
fine to make it the user's problem ;-) It is a better design between
the two, as the user knows better what their payload is.

> I can run the loop twice to determine the count of non-FIFOs and adjust
> GIT_SENDEMAIL_FILE_TOTAL accordingly.

It sounds like a reasonable way out.

Thanks.